### Interface

# Phosh DBusColor

#### Description [src]

    interface Phosh.DBusColor : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.SettingsDaemon.Color.

#### Prerequisite

In order to implement DBusColor, your type must inherit from`GObject`.

#### Implementations

- PhoshDBusColorProxy
- PhoshDBusColorSkeleton

#### Functions

###### phosh_dbus_color_interface_info

Gets a machine-readable description of the org.gnome.SettingsDaemon.Color D-Bus interface.

###### phosh_dbus_color_override_properties

Overrides all `GObject` properties in the `PhoshDBusColor` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### phosh_dbus_color_get_night_light_active

Gets the value of the “NightLightActive” D-Bus property.

###### phosh_dbus_color_get_temperature

Gets the value of the “Temperature” D-Bus property.

###### phosh_dbus_color_set_night_light_active

Sets the “NightLightActive” D-Bus property to `value`.

###### phosh_dbus_color_set_temperature

Sets the “Temperature” D-Bus property to `value`.

#### Properties

###### Phosh.DBusColor:night-light-active

Represents the D-Bus property “NightLightActive”.

###### Phosh.DBusColor:temperature

Represents the D-Bus property “Temperature”.

#### Interface structure

    struct PhoshDBusColorIface {
      GTypeInterface parent_iface;
      gboolean (* get_night_light_active) (
        PhoshDBusColor* object
      );
      guint (* get_temperature) (
        PhoshDBusColor* object
      );

    }

Virtual table for the D-Bus interface org.gnome.SettingsDaemon.Color.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`get_night_light_active` |
    gboolean (* get_night_light_active) (
        PhoshDBusColor* object
      )
| Getter for the `PhoshDBusColor:night-light-active` property.
`get_temperature` |
    guint (* get_temperature) (
        PhoshDBusColor* object
      )
| Getter for the `PhoshDBusColor:temperature` property.

#### Virtual methods

###### Phosh.DBusColor.get_night_light_active

Gets the value of the “NightLightActive” D-Bus property.

###### Phosh.DBusColor.get_temperature

Gets the value of the “Temperature” D-Bus property.